Bug 965946 - Not doing autoboxing for primitive types
Not doing autoboxing for primitive types
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 6.0.0
Assigned To: Keith Babo
Matej Melko
Depends On:
  Show dependency treegraph
Reported: 2013-05-22 03:06 EDT by Jiri Pechanec
Modified: 2015-11-02 03:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-366 Major Pull Request Sent Not doing autoboxing for primitive types 2016-04-14 09:37 EDT

  None (edit)
Description Jiri Pechanec 2013-05-22 03:06:47 EDT
Recently I was bitten by SWITCHYARD-366.

It is very counter-intuitive if we force user to use object types on Java interfaces instead of primitives.

The only thing that is missing is a default Transformer that will handle primitive/object types transformation.
Comment 1 kconner 2013-05-30 12:27:43 EDT
This issue is not serious enough to hold up the alpha 2 release and, as such, should not be marked as a blocker.  There is a workaround should the fix not make it into the Alpha 2 release.

Note You need to log in before you can comment on or make changes to this bug.